Get deployment procedures
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedures
Returns list of Deployment Procedures for a given filtering criteria.By default, it shows the 20 most recently created deployment procedures. In emcli, it is equivalent to 'get_procedures -procedure='
Request
Query Parameters
-
include: string
if include=procedureInput or include=XmlFormat, information about procedure input/procedure xml is included in the response
-
limit: integer
Minimum Value:
1Maximum Value:2000For list pagination. The maximum number of results per page, or items to return in a paginated "List" call. The api will return no more than the number specified as limit, but might not return that exact number.Default Value:20 -
name: string
Returns deployment procedure input using procedure name
-
owner: string
Returns deployment procedure input using owner name
-
page: string
System generated page token of a page.
-
parentName: string
Returns deployment procedures using parent procedure name
-
sort: string
Returns sorted deployment procedures.Allowed directions are DESC and ASC
-
type: string
Returns deployment procedures using procedure type
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
List of Procedures returned successfully
Root Schema : DeploymentProcedureCollection
Type:
objectThis is the representation of list of Procedures.
Show Source
-
items(required): array
items
The list of Procedures
Match All
This is the representation of list of Procedures.
Show Source
-
object
CountLinks
This represents pagination properties like count and links.
Nested Schema : items
Type:
arrayThe list of Procedures
Show Source
-
Array of:
object DeploymentProcedureSummary
This is the representation of a Procedure.
Nested Schema : CountLinks
Type:
objectThis represents pagination properties like count and links.
Show Source
-
count: integer
This represents total number of elements in a page.Example:
20 -
links: object
links
Read Only:
trueThe result set navigation links
Nested Schema : DeploymentProcedureSummary
Type:
objectThis is the representation of a Procedure.
Match All
This is the representation of a Procedure.
Show Source
-
object
DeploymentProcedureDetails
This is the representation of a Procedure.
Nested Schema : DeploymentProcedureDetails
Type:
objectThis is the representation of a Procedure.
Show Source
-
displayName: string
Display Name of a ProcedureExample:
Copy of TEST_DP -
id: string
Unique identifier for a ProcedureExample:
B0FBBE587FD201E2E0537013790A7D53 -
links: object
links
Procedure related links
-
name: string
Name of a ProcedureExample:
DP_CC67765EF65F51A5E053E00F4B64D991 -
owner: string
Owner of a ProcedureExample:
SYSMAN -
parentName: string
Parent procedure of a ProcedureExample:
TEST_DP -
procedureInput: object
procedureInput
input which given during submit procedure
-
type: string
Type of a ProcedureExample:
UserDefined -
version: string
Version Number of a ProcedureExample:
Succeeded -
xmlFormat: string
returns DP xml which can be reused to register.
Nested Schema : links
Type:
objectProcedure related links
Show Source
-
self: object
Link
It represents a Link
Nested Schema : procedureInput
Type:
objectinput which given during submit procedure
Match All
input which given during submit procedure
Show Source
-
object
DescribeProcedureInput
This is the representation of an input given while submitting deployment procedure.
Nested Schema : DescribeProcedureInput
Type:
objectThis is the representation of an input given while submitting deployment procedure.
Show Source
-
links: object
links
Self link
-
schedule: object
Schedule
Defining time schedule
-
targets: array
DeploymentProcedureTargetList
Defining list of procedure targets
-
variables: object
DeploymentProcedureVariableCollection
Collections of Procedure Variable
Nested Schema : Schedule
Type:
objectDefining time schedule
Show Source
-
isTargetZoneUsed: boolean
To indicate the time should be interpreted in target's timezone or not. If Timezone is specified in time and useTargetZone is true, it will be reported as an ERROR conditionExample:
true -
recurring: string
Frequency at which the operation must be executed repeatedlyExample:
Weekly -
scheduleType: string
Currently we support ical specification default is ICAL, in future it can be extended to other types e.g CRON.
-
startGracePeriodInMinutes: number
Time in minutes after which the job will be marked as skipped if not started. Null or Negative value means no grace period.Example:
60 -
timeToEnd: string
end time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.Example:
2021-03-02 22:00:13 -
timeToStart: string
start time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.Example:
2021-03-01 21:23:03
Nested Schema : DeploymentProcedureTargetList
Type:
arrayDefining list of procedure targets
Show Source
Nested Schema : DeploymentProcedureVariableCollection
Type:
objectCollections of Procedure Variable
Show Source
-
items: array
items
The list of procedure variables
Nested Schema : items
Type:
Show Source
object-
name: string
name of target typeExample:
host -
targets: object
DeploymentProcedureTargetCollection
Collections of Procedure Target
Nested Schema : DeploymentProcedureTargetCollection
Type:
objectCollections of Procedure Target
Show Source
-
items: array
items
The list of targets
Nested Schema : items
Type:
arrayThe list of targets
Show Source
-
Array of:
object DeploymentProcedureTargetSummary
This is the representation of Procedure Target
Nested Schema : DeploymentProcedureTargetSummary
Type:
objectThis is the representation of Procedure Target
Match All
This is the representation of Procedure Target
Show Source
-
object
DeploymentProcedureTargetDetails
Defining Target for Deployment Procedure
Nested Schema : DeploymentProcedureTargetDetails
Type:
objectDefining Target for Deployment Procedure
Show Source
-
credentialReferences: array
CredentialReference
This is the representation of credential references.
-
targetName: string
Target NameExample:
host1.oracle.com -
targetType: string
Target TypeExample:
host
Nested Schema : CredentialReference
Type:
arrayThis is the representation of credential references.
Show Source
Nested Schema : items
Type:
Show Source
object-
credentialName: string
Represents credential nameExample:
EMGA -
credentialType: string
Represents type of the credentialExample:
NAMED -
owner: string
Represents owner of the credentialExample:
SYSMAN -
usage: string
Represents credential usageExample:
defaultHostCred
Nested Schema : items
Type:
arrayThe list of procedure variables
Show Source
-
Array of:
object DeploymentProcedureVariableSummary
This is the representation of Procedure Variable
Nested Schema : DeploymentProcedureVariableSummary
Type:
objectThis is the representation of Procedure Variable
Match All
This is the representation of Procedure Variable
Show Source
-
object
DeploymentProcedureVariableDetails
Defining Variable for Deployment Procedure
Nested Schema : DeploymentProcedureVariableDetails
Type:
objectDefining Variable for Deployment Procedure
Show Source
-
variableName: string
Displays Deployment Procedure varibale nameExample:
userId -
variableValue: string
Displays Deployment Procedure varibale valueExample:
10001
Nested Schema : links
Type:
objectRead Only:
trueThe result set navigation links
Show Source
-
next: object
Link
It represents a Link
-
previous: object
Link
It represents a Link
-
self: object
Link
It represents a Link
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message